#pragma semicolon 1
#include <sourcemod>
#include <ws_store>

public Plugin:myinfo = 
{
	name	= "Noughts and crosses (Крестики-нолики)",
	author	= "wS (World-Source.Ru)",
	version = "1.0"
};

new g_Charr[MAXPLAYERS + 1];
new g_Field[MAXPLAYERS + 1];
new bool:g_bWaitPartner[MAXPLAYERS + 1];
new g_Partner[MAXPLAYERS + 1];
new g_CharrList[MAXPLAYERS + 1][10];
new g_Sec, g_MySec[MAXPLAYERS + 1];
new Handle:g_hTimer[MAXPLAYERS + 1] = {INVALID_HANDLE, ...};
new Handle:wincr;
#include "noughts_and_crosses/cmd.sp"
#include "noughts_and_crosses/functions.sp"
#include "noughts_and_crosses/game.sp"

public OnPluginStart()
{
	new Handle:cvar = CreateConVar("nc_timer", "15", "Время на ход", _, true, 5.0);
	g_Sec = GetConVarInt(cvar);
	HookConVarChange(cvar, cvar_changed);
	wincr = CreateConVar("sm_givewin", "10","сколько давать кредитов за победу в игре");
	RegConsoleCmd("sm_nc", wS_Cmd);
	AutoExecConfig(true, "StoreNoughtAndCrosses", "store");
}

public cvar_changed(Handle:cvar, const String:OldValue[], const String:NewValue[])
{
	g_Sec = StringToInt(NewValue);
}

public OnClientDisconnect(client)
{
	wS_ClearTimer(g_hTimer[client]);
	if (g_Partner[client] > 0 && IsClientInGame(g_Partner[client]))
	{
		new partner = g_Partner[client];
		wS_Info(partner, "Ваш соперник покинул сервер");
		g_Partner[partner] = 0;
		wS_ClearTimer(g_hTimer[partner]);
	}
	g_bWaitPartner[client] = false;
	g_Partner[client] = 0;
}